Don't Miss Out! To celebrate the release of Font Awesome Sharp, get $20 off a new Pro subscription for a limited time!

Having trouble using Font Awesome with React? This page is all about getting you unstuck.

Advertisement

Upgrading from Version 4

If you're upgrading from Version 4, there are a number of changes that you need to be aware of before you jump into Version 6. We've tried to make it as painless as possible, but you may need to make some changes in your project to have it work correctly.

Using React Native

The react-fontawesome compenent currently only supports React. If you are using React Native, we've got a component (opens new window) for you too!

Haallp! I don’t think tree-shaking is working.

We have detailed documentation on tree-shaking within our API-focused docs.

I’m getting a Babel/Babel-loader error when using React Font Awesome

If you’re using a Mac or Linux, make sure you are up to date on the latest versions by running brew update and brew upgrade. Or delete your package.json.lock file and Node_Modules folder and then run either npm install or yarn install to reinstall all packages and dependencies.